package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.WorkerComposite;

/**
 * @Description: 
 * @author wangxiang
 */
public class LoadWorkerAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		WorkerComposite composite = new WorkerComposite(listener.getParentComposite(),this, SWT.NONE);
//		EvaluationWorkerManagerComposite composite = new EvaluationWorkerManagerComposite(listener.getParentComposite(), SWT.NONE);
		listener.loadComposite(this, composite);
	}
}
